// pages/candidate/detail.js
const api = require("../../utils/request.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let id = options.id
    this.getDetail(id)
  },
  getDetail: function (id) {
    api.request(`/crm/candidate/${id}/`, 'GET').then(res => {
      this.setData({
        candidate: res.data
      })
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  godetail: function (e) {
    wx.navigateTo({
      url: '/pages/test/detail?id=' + this.data.candidate.examtest,
    })
  },
  goCandidate: function (e) {
    wx.navigateTo({
      url: '/pages/candidate/show?id=' + this.data.candidate.id,
    })
  },
  copyUrl: function(e){
    wx.setClipboardData({
      data: getApp().globalData.host+'/crm/candidate/img/?id='+this.data.candidate.id,
      success: function (res) {
        wx.showToast({
          title: '复制成功,可前往自带浏览器粘贴访问',
          icon: 'none'
        })
      }
    })
  },
  downDoc: function (e) {
    let id = this.data.candidate.id
    wx.showLoading({
      title: '正在生成...',
    })
    api.request(`/crm/candidate/${id}/down/`, 'GET').then(res => {
      wx.showLoading({
        title: '正在下载...',
      })
      wx.downloadFile({
        url: getApp().globalData.host + res.data.path,
        success(res) {
          const filePath = res.tempFilePath
          wx.openDocument({
            filePath,
            fileType: 'docx',
            success: function (res) {
              wx.hideLoading({
                success: (res) => {},
              })
            }
          })
        }
      })
    })
  }
})